#ifndef __IUF_AST3D
#define __IUF_AST3D
/** This class represent a asteroid with a random silohuette.
It is derived from the Ast Class. The generation of the random
silohuette is done in the member function Build, that is called 
by all the constructors. The random silohuette is stored in a 
vector<Point3f>. */
#include "Triangle.h"

class Ast3D: public Ast
{
public:
	/** The polygon representing the asteroid silohuette. */
	Mesh M;

	/** Default constructor.
It should also start the build function to create the random silohuette;
*/
	Ast3D(char *filename="ast.raw"){
	M.Open(filename);
	}

/** Specialized constructor to set also angular velocity and size.
It should also start the build function to create the random silohuette;
	*/
	Ast3D(const Point3f &_p, const float _angle, const Point3f &_v, float _av,float _size,char *filename="ast.raw"):
			Ast(_p,_angle,_v,_av,_size){
			M.Open(filename);
			}
/** 
Draw the asteroid shape.
Simply draw the polygon stored in P
*/
virtual	void Draw();

};
#endif